Book_2_Chapter_2_An_Orc_Messenger = class(Window);

function Book_2_Chapter_2_An_Orc_Messenger: GetName()
	return "Book 2, Chapter 2: An Orc Messenger";
end

function Book_2_Chapter_2_An_Orc_Messenger: IsRunning()
	return (self.window ~= nil);
end

function Book_2_Chapter_2_An_Orc_Messenger: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 2,Capítulo 2: Um Mensageiro Orc"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Candaith-30.1S, 37.9W - Candaith's Encampment - Lone-lands");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nQuando comecei minha busca por Radagast , perto de Midgewater Pass , testemunhei um Orc-mensageiro partir com grande pressa. Rapidamente, eu o segui, seguindo-o para o leste ao longo do ombro das colinas e depois para o sul, mas minha busca foi interrompida. Não pude seguir adiante, pois crebain imundo circulava acima, e ser descoberto prejudicaria nosso trabalho aqui mais do que posso permitir.\n\n- Mais uma vez, devo pedir sua ajuda. O mensageiro provavelmente carrega consigo ordens para os campos distantes. Se você conseguir interceptar o mensageiro, podemos descobrir a natureza dessas ordens. Assim com esta informação, estaremos melhor equipados para lidar com a ameaça Orc.\n\n'Procure entre os acampamentos de orcs em Glumhallow , a oeste, e retorne para mim com as ordens que este mensageiro certamente possui. Buscarei sinal da passagem de Radagast em outro lugar.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEm sua busca por sinais de Radagast, Candaith rastreou um mensageiro do acampamento Orc em Midgewater Pass, mas não conseguiu descobrir qual mensagem o Orc carregava antes de sua caça ser interrompida por crebain( corvos ).");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Colete as ordens Orc\nTraga as ordens dos Orcs para Candaith\nO Orc-mensageiro está certamente em um dos acampamentos inimigos em Glumhallow, a oeste do próprio acampamento de Candaith no sopé do Weathertop.\n\nUm Orc-mensageiro fez o seu caminho de Midgewater Pass para os acampamentos de Orcs localizados ao longo das Colinas do Tempo . Candaith pediu que você interceptasse o mensageiro Orc e voltasse com as ordens que ele deveria dar.\n\nCandaith : 'Vá agora para o oeste para Glumhallow e procure o mensageiro cujo rastro fui forçado a abandonar. Continuarei a observar suas ações no norte. Devemos conhecer toda a extensão desta invasão.\nCandaith : 'Estas ordens estão escritas na Língua Negra, uma língua que eu nunca desejei aprender. Eu deveria ter me preparado para isso, mas esperava que aprendêssemos algo útil imediatamente. Enquanto você buscava essas ordens, segui os sinais de Radagast pelas colinas.\n'Eu não estava nessa perseguição, pois uma patrulha de Orcs logo se deparou com a minha presença! Fui forçado a interromper minha busca e acabei perdendo meu arco ao fugir dos orcs sob os beirais da floresta. Foi por pouco. Um encontro próximo que rendeu uma visão sobre a liderança do Orc.\n'Você fez bem, de sua parte, e em breve entenderemos as intenções desses Orcs, bem como sua liderança.'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nO Mensageiro da Mão Branca percorre Glumhallow, [30.2S, 38.2W] a sudoeste do acampamento de Candaith");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_2_Chapter_2_An_Orc_Messenger:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_2_Chapter_2_An_Orc_Messenger()); 